package de.hdm_stuttgart.sd1;

import java.text.DecimalFormat;
import java.text.DecimalFormatSymbols;
import java.text.NumberFormat;
import java.text.ParseException;
import java.util.Locale;

public class PolymorphicNumberParsing {

  public static void main(String[] args) {

    final NumberFormat de = NumberFormat.getInstance(Locale.GERMANY);
    try {
      final Number[] values = {
          de.parse("103.234"),
          de.parse("400.000,234")};

      for (final Number n: values) {
        System.out.println(n + "(" + n.getClass().getTypeName() + ")");
      }
    } catch (ParseException e) {
      e.printStackTrace();
    }
  }
}
